Skip to content
Structly Docs
한국어

stly

stly invitations

On this page

This page is generated from the public contract. Descriptions are shown in the original Korean.

stly invitations accept#

초대 수락

  • HTTP request: POST /api/invitations/accept
  • Authentication modes: User session
  • Changes records: Yes
  • Input JSON (--input) required

Check the input JSON structure with stly schema invitations accept.

Options

NameTypeRequiredDescription
--inputstringYesJSON 원문 파일 또는 stdin(-)
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, display_name, email, role, state, updated_at, user_id

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly invitations accept --input input.json

stly invitations cancel#

초대 취소

  • HTTP request: DELETE /api/organizations/{organization_id}/invitations/{id}
  • Authentication modes: User session
  • Changes records: Yes
  • --if-match required

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--if-matchstringYes상세 GET에서 얻은 단일 strong ETag
--organizationstringYes
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, delivery, email, expires_at, id, organization_id, organization_name, role, state, updated_at

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly invitations cancel 00000000-0000-0000-0000-000000000001 --organization 00000000-0000-0000-0000-000000000001 --if-match '"상세 GET의 ETag"'

stly invitations create#

이메일 초대 발송

  • HTTP request: POST /api/organizations/{organization_id}/invitations
  • Authentication modes: User session
  • Changes records: Yes
  • Input JSON (--input) required

Check the input JSON structure with stly schema invitations create.

Options

NameTypeRequiredDescription
--inputstringYesJSON 원문 파일 또는 stdin(-)
--organizationstringYes
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, delivery, email, expires_at, id, organization_id, organization_name, role, state, updated_at

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly invitations create --organization 00000000-0000-0000-0000-000000000001 --input input.json

stly invitations get#

Organization 초대 단건

  • HTTP request: GET /api/organizations/{organization_id}/invitations/{id}
  • Authentication modes: User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--organizationstringYes
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, delivery, email, expires_at, id, organization_id, organization_name, role, state, updated_at

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly invitations get 00000000-0000-0000-0000-000000000001 --organization 00000000-0000-0000-0000-000000000001

stly invitations list#

Organization 초대 목록

  • HTTP request: GET /api/organizations/{organization_id}/invitations
  • Authentication modes: User session
  • Changes records: No

Options

NameTypeRequiredDescription
--organizationstringYes
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, delivery, email, expires_at, id, organization_id, organization_name, role, state, updated_at

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly invitations list --organization 00000000-0000-0000-0000-000000000001

stly invitations preview#

초대 수락 전 확인

  • HTTP request: POST /api/invitations/preview
  • Authentication modes: User session
  • Changes records: No
  • Input JSON (--input) required

Check the input JSON structure with stly schema invitations preview.

Options

NameTypeRequiredDescription
--inputstringYesJSON 원문 파일 또는 stdin(-)
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, delivery, email, expires_at, id, organization_id, organization_name, role, state, updated_at

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly invitations preview --input input.json

stly invitations resend#

초대 재발송·이전 링크 무효화

  • HTTP request: POST /api/organizations/{organization_id}/invitations/{id}/resend
  • Authentication modes: User session
  • Changes records: Yes
  • --if-match required

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--if-matchstringYes상세 GET에서 얻은 단일 strong ETag
--organizationstringYes
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, delivery, email, expires_at, id, organization_id, organization_name, role, state, updated_at

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly invitations resend 00000000-0000-0000-0000-000000000001 --organization 00000000-0000-0000-0000-000000000001 --if-match '"상세 GET의 ETag"'